/* clock example: countdown */
#include <stdio.h>
#include <time.h>

void wait ( int seconds )
{
  clock_t endwait;
  endwait = clock () + seconds * CLOCKS_PER_SEC ;
  while (clock() < endwait) {}
}

void precision(void)
{
  	clock_t endwait = clock ();
 	while (clock() == endwait) {}
 	float accuracy = ((float)(clock () - endwait)) / CLOCKS_PER_SEC ;
	printf("accuracy = %0.10f\n",accuracy);
}

int main ()
{
	printf("CLK_TCK %d\n",CLK_TCK);
	printf("CLOCKS_PER_SEC %d\n",CLOCKS_PER_SEC);

/*  int n;
  printf ("Starting countdown...\n");
  for (n=3; n>0; n--)
  {
    printf ("%d\n",n);
    wait (1);
  }
  printf ("FIRE!!!\n");*/

	precision();
  return 0;
}
